require 'active_support/concern'

module Contents
  module RailsAdmin
    extend ActiveSupport::Concern

    included do
      def layout_enum
        Dir["#{layouts_paths}/*"].flat_map do |layout_path|
          Pathname.new(layout_path).basename.to_s.split('.').first
        end
      end

      def template_enum
        Dir["#{Rails.root.join('app', 'views')}/*/**"].reject { |f| f[layouts_paths.to_s] }.map do |template_path|
          template_path.split('/').split do |path|
            path === 'views'
          end.last.join('/').split('.').first
        end
      end
      
      rails_admin do
        list do
          field :id
          field :title
        end

        edit do
          field :title
          field :slug
          field :description
          field :keywords
          field :body
          field :layout
          field :template
          field :superpage
          field :subpages
        end
      end
    end
  end
end
