class CreateContentsPages < ActiveRecord::Migration
  def change
    create_table :contents_pages do |t|
      t.string :title
      t.string :slug
      t.string :description
      t.string :keywords
      t.references :contents_page, index: true, foreign_key: true
      t.text :body
      t.string :layout
      t.string :template

      t.timestamps null: false
    end

    add_index :contents_pages, :slug
    add_index :contents_pages, :layout
    add_index :contents_pages, :template
  end
end
