require 'rails/generators/base'
require 'faker'

module Contents
  module Generators
    class DemoGenerator < Rails::Generators::Base
      def seed
        5.times do
          page = Contents::Page.create(page_params)
          page.subpages.create(page_params)
        end
      end

      private

        def page_params
          {
            title: Faker::Lorem.words.join(' ').to_s.titleize,
            description: Faker::Lorem.sentence,
            keywords: Faker::Lorem.words.join(', '),
            body: Faker::Lorem.paragraph
          }
        end
    end
  end
end
